com.threerings.parlor.data

## Class TableMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.parlor.data.TableMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, TableService, com.threerings.presents.client.InvocationService

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from TableService.java.")
    public class TableMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements TableService

Provides the implementation of the `TableService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `BOOT_PLAYER` The method id used to dispatch `bootPlayer(int, com.threerings.util.Name, com.threerings.presents.client.InvocationService.InvocationListener)` requests.
`static int` `CREATE_TABLE` The method id used to dispatch `createTable(com.threerings.parlor.data.TableConfig, com.threerings.parlor.game.data.GameConfig, com.threerings.presents.client.InvocationService.ResultListener)` requests.
`static int` `JOIN_TABLE` The method id used to dispatch `joinTable(int, int, com.threerings.presents.client.InvocationService.InvocationListener)` requests.
`static int` `LEAVE_TABLE` The method id used to dispatch `leaveTable(int, com.threerings.presents.client.InvocationService.InvocationListener)` requests.
`static int` `START_TABLE_NOW` The method id used to dispatch `startTableNow(int, com.threerings.presents.client.InvocationService.InvocationListener)` requests.

### Constructor Summary

Constructors
Constructor and Description
`TableMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `bootPlayer(int arg1, com.threerings.util.Name arg2, com.threerings.presents.client.InvocationService.InvocationListener arg3)` Requests that another user be booted from the specified table.
`void` `createTable(TableConfig arg1, GameConfig arg2, com.threerings.presents.client.InvocationService.ResultListener arg3)` Requests that a new table be created.
`void` `joinTable(int arg1, int arg2, com.threerings.presents.client.InvocationService.InvocationListener arg3)` Requests that the current user be added to the specified table at the specified position.
`void` `leaveTable(int arg1, com.threerings.presents.client.InvocationService.InvocationListener arg2)` Requests that the current user be removed from the specified table.
`void` `startTableNow(int arg1, com.threerings.presents.client.InvocationService.InvocationListener arg2)` Requests that the specified table be started now, even if all seats are not occupied.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BOOT_PLAYER

    public static final int BOOT_PLAYER

The method id used to dispatch `bootPlayer(int, com.threerings.util.Name, com.threerings.presents.client.InvocationService.InvocationListener)` requests.

See Also:
  Constant Field Values

#### CREATE_TABLE

    public static final int CREATE_TABLE

The method id used to dispatch `createTable(com.threerings.parlor.data.TableConfig, com.threerings.parlor.game.data.GameConfig, com.threerings.presents.client.InvocationService.ResultListener)` requests.

See Also:
  Constant Field Values

#### JOIN_TABLE

    public static final int JOIN_TABLE

The method id used to dispatch `joinTable(int, int, com.threerings.presents.client.InvocationService.InvocationListener)` requests.

See Also:
  Constant Field Values

#### LEAVE_TABLE

    public static final int LEAVE_TABLE

The method id used to dispatch `leaveTable(int, com.threerings.presents.client.InvocationService.InvocationListener)` requests.

See Also:
  Constant Field Values

#### START_TABLE_NOW

    public static final int START_TABLE_NOW

The method id used to dispatch `startTableNow(int, com.threerings.presents.client.InvocationService.InvocationListener)` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### TableMarshaller

    public TableMarshaller()

### Method Detail

#### bootPlayer

    public void bootPlayer(int arg1,
                           com.threerings.util.Name arg2,
                           com.threerings.presents.client.InvocationService.InvocationListener arg3)

Description copied from interface: `TableService`
Requests that another user be booted from the specified table.

Specified by:
  `bootPlayer` in interface `TableService`

#### createTable

    public void createTable(TableConfig arg1,
                            GameConfig arg2,
                            com.threerings.presents.client.InvocationService.ResultListener arg3)

Description copied from interface: `TableService`
Requests that a new table be created.

Specified by:
  `createTable` in interface `TableService`
Parameters:
  `arg1` - the table configuration parameters.
  `arg2` - the game config for the game to be matchmade by the table.
  `arg3` - will receive and process the response.

#### joinTable

    public void joinTable(int arg1,
                          int arg2,
                          com.threerings.presents.client.InvocationService.InvocationListener arg3)

Description copied from interface: `TableService`
Requests that the current user be added to the specified table at the specified position.

Specified by:
  `joinTable` in interface `TableService`
Parameters:
  `arg1` - the unique id of the table to which this user wishes to be added.
  `arg2` - the position at the table to which this user desires to be added.
  `arg3` - will receive and process the response.

#### leaveTable

    public void leaveTable(int arg1,
                           com.threerings.presents.client.InvocationService.InvocationListener arg2)

Description copied from interface: `TableService`
Requests that the current user be removed from the specified table.

Specified by:
  `leaveTable` in interface `TableService`
Parameters:
  `arg1` - the unique id of the table from which this user wishes to be removed.
  `arg2` - will receive and process the response.

#### startTableNow

    public void startTableNow(int arg1,
                              com.threerings.presents.client.InvocationService.InvocationListener arg2)

Description copied from interface: `TableService`
Requests that the specified table be started now, even if all seats are not occupied. This will always fail if called by any other player than that seated in position 0 (usually the creator).

Specified by:
  `startTableNow` in interface `TableService`